apiVersion: v1
data:
  config.yaml: |
    additional_display_details:
    - annotation: kiali.io/api-spec
      icon_annotation: kiali.io/api-type
      title: API Documentation
    api:
      namespaces:
        exclude:
        - ^istio-operator
        - ^kube-.*
        - ^openshift.*
        - ^ibm.*
        - ^kiali-operator
        include: []
        label_selector_exclude: ''
    auth:
      openid:
        additional_request_params: {}
        allowed_domains: []
        api_proxy: ''
        api_proxy_ca_data: ''
        api_token: id_token
        authentication_timeout: 300
        authorization_endpoint: ''
        client_id: ''
        disable_rbac: false
        http_proxy: ''
        https_proxy: ''
        insecure_skip_verify_tls: false
        issuer_uri: ''
        scopes:
        - openid
        - profile
        - email
        username_claim: sub
      openshift:
        auth_timeout: 10
        client_id_prefix: kiali
      strategy: openshift
    custom_dashboards: []
    deployment:
      accessible_namespaces:
      - istio-system-a
      affinity:
        node: {}
        pod: {}
        pod_anti: {}
      cluster_wide_access: true
      configmap_annotations: {}
      custom_secrets: []
      host_aliases: []
      hpa:
        api_version: autoscaling/v2
        spec: {}
      image_digest: ''
      image_name: registry.redhat.io/openshift-service-mesh/kiali-rhel8@sha256
      image_pull_policy: ''
      image_pull_secrets: []
      image_version: 422b7cc5c88030ad25e989b17aa7d198844fd505571f1340c3b6d08704bc96ee
      ingress:
        additional_labels: {}
        class_name: nginx
        enabled: true
      instance_name: kiali
      logger:
        log_format: text
        log_level: info
        sampler_rate: '1'
        time_field_format: 2006-01-02T15:04:05Z07:00
      namespace: istio-system-a
      node_selector: {}
      pod_annotations: {}
      pod_labels:
        sidecar.istio.io/inject: 'false'
      priority_class_name: ''
      remote_cluster_resources_only: false
      replicas: 1
      resources:
        limits:
          memory: 1Gi
        requests:
          cpu: 10m
          memory: 64Mi
      secret_name: kiali
      security_context: {}
      service_annotations: {}
      tolerations: []
      version_label: 422b7cc5c88030ad25e989b17aa7d198844fd505571f1340c3b6d08704bcXXX
      view_only_mode: false
    external_services:
      custom_dashboards:
        discovery_auto_threshold: 10
        discovery_enabled: auto
        enabled: true
        is_core: false
        namespace_label: kubernetes_namespace
        prometheus:
          auth:
            ca_file: ''
            insecure_skip_verify: false
            password: ''
            token: ''
            type: none
            use_kiali_token: false
            username: ''
          cache_duration: 7
          cache_enabled: true
          cache_expiration: 300
          custom_headers: {}
          health_check_url: ''
          is_core: true
          query_scope: {}
          thanos_proxy:
            enabled: false
            retention_period: 7d
            scrape_interval: 30s
          url: ''
      grafana:
        auth:
          ca_file: /kiali-cabundle/service-ca.crt
          insecure_skip_verify: false
          password: ACs+VDVtI0/NeKmkDVLnwEbMJKOUwNUDJ7Wj6PxZaq9QSlUOYfVRj0ZJW0UR2+vQ1dBN3VMo498uPjrbLTeq7uP4Q7wpGQGEuvJHpN0W20UjQU0CdB/+JCVOknsGE5Nt5MNsm7yfgIshDLkxXHnMsmIPZFIe0s5+1Hk8xU+WHBstMizqFjuEKI8SGjO0yetLZq8woLocdlxrxhk1fdeEfIPqPYeiCaQXbc0DtvZm9mwCrbHjanNQltvDSA8Js7GbDWptsmkGWQfB6C7/mVienGZyD+kG7SoSuwrPx/RfZhHOo+wcvZHYpebWo4OSVNxxjzGynbpwOHLkV/P2ktpJ
          token: ''
          type: basic
          use_kiali_token: false
          username: internal
        dashboards:
        - name: Istio Service Dashboard
          variables:
            namespace: var-namespace
            service: var-service
        - name: Istio Workload Dashboard
          variables:
            namespace: var-namespace
            workload: var-workload
        - name: Istio Mesh Dashboard
        - name: Istio Control Plane Dashboard
        - name: Istio Performance Dashboard
        - name: Istio Wasm Extension Dashboard
        enabled: true
        health_check_url: ''
        in_cluster_url: https://grafana.istio-system-a.svc:3000
        internal_url: http://grafana.istio-system:3000
        is_core: false
        url: https://grafana-istio-system-a.apps.ci-ln-6mgv70t-c1627.vmc-ci.devcluster.openshift.com
      istio:
        component_status:
          components:
          - app_label: istiod
            is_core: true
            is_proxy: false
            namespace: ''
          - app_label: istio-ingressgateway
            is_core: true
            is_proxy: true
            namespace: ''
          - app_label: istio-egressgateway
            is_core: false
            is_proxy: true
            namespace: ''
          enabled: true
        config_map_name: istio-basic
        envoy_admin_local_port: 15000
        gateway_api_class_name: ''
        istio_api_enabled: true
        istio_identity_domain: svc.cluster.local
        istio_injection_annotation: sidecar.istio.io/inject
        istio_sidecar_annotation: sidecar.istio.io/status
        istio_sidecar_injector_config_map_name: istio-sidecar-injector-basic
        istiod_deployment_name: istiod-basic
        istiod_pod_monitoring_port: 15014
        istiod_polling_interval_seconds: 20
        root_namespace: istio-system-a
        url_service_version: http://istiod-basic.istio-system-a:15014/version
        validation_change_detection_enabled: true
        validation_reconcile_interval: 1m
      prometheus:
        auth:
          ca_file: /kiali-cabundle/service-ca.crt
          insecure_skip_verify: false
          password: ACs+VDVtI0/NeKmkDVLnwEbMJKOUwNUDJ7Wj6PxZaq9QSlUOYfVRj0ZJW0UR2+vQ1dBN3VMo498uPjrbLTeq7uP4Q7wpGQGEuvJHpN0W20UjQU0CdB/+JCVOknsGE5Nt5MNsm7yfgIshDLkxXHnMsmIPZFIe0s5+1Hk8xU+WHBstMizqFjuEKI8SGjO0yetLZq8woLocdlxrxhk1fdeEfIPqPYeiCaQXbc0DtvZm9mwCrbHjanNQltvDSA8Js7GbDWptsmkGWQfB6C7/mVienGZyD+kG7SoSuwrPx/RfZhHOo+wcvZHYpebWo4OSVNxxjzGynbpwOHLkV/P2ktpJ
          token: ''
          type: basic
          use_kiali_token: false
          username: internal
        cache_duration: 7
        cache_enabled: true
        cache_expiration: 300
        custom_headers: {}
        health_check_url: ''
        is_core: true
        query_scope: {}
        thanos_proxy:
          enabled: false
          retention_period: 7d
          scrape_interval: 30s
        url: https://prometheus.istio-system-a.svc:9090
      tracing:
        auth:
          ca_file: /kiali-cabundle/service-ca.crt
          insecure_skip_verify: false
          password: ACs+VDVtI0/NeKmkDVLnwEbMJKOUwNUDJ7Wj6PxZaq9QSlUOYfVRj0ZJW0UR2+vQ1dBN3VMo498uPjrbLTeq7uP4Q7wpGQGEuvJHpN0W20UjQU0CdB/+JCVOknsGE5Nt5MNsm7yfgIshDLkxXHnMsmIPZFIe0s5+1Hk8xU+WHBstMizqFjuEKI8SGjO0yetLZq8woLocdlxrxhk1fdeEfIPqPYeiCaQXbc0DtvZm9mwCrbHjanNQltvDSA8Js7GbDWptsmkGWQfB6C7/mVienGZyD+kG7SoSuwrPx/RfZhHOo+wcvZHYpebWo4OSVNxxjzGynbpwOHLkV/P2ktpJ
          token: ''
          type: basic
          use_kiali_token: false
          username: internal
        disable_version_check: false
        enabled: false
        grpc_port: 9095
        in_cluster_url: https://jaeger-query.istio-system-a.svc
        is_core: false
        namespace_selector: true
        provider: jaeger
        query_scope: {}
        query_timeout: 5
        url: ''
        use_grpc: false
        whitelist_istio_system:
        - jaeger-query
        - istio-ingressgateway
    health_config:
      rate: []
    identity:
      cert_file: /kiali-cert/tls.crt
      private_key_file: /kiali-cert/tls.key
    installation_tag: Kiali [istio-system-a]
    istio_labels:
      app_label_name: app
      injection_label_name: istio-injection
      injection_label_rev: istio.io/rev
      version_label_name: version
    istio_namespace: istio-system-a
    kiali_feature_flags:
      certificates_information_indicators:
        enabled: true
        secrets:
        - cacerts
        - istio-ca-secret
      clustering:
        autodetect_secrets:
          enabled: true
          label: kiali.io/multiCluster=true
        clusters: []
        kiali_urls: []
      disabled_features: []
      istio_annotation_action: true
      istio_injection_action: true
      istio_upgrade_action: false
      ui_defaults:
        graph:
          find_options:
          - auto_select: false
            description: 'Find: slow edges (> 1s)'
            expression: rt > 1000
          - auto_select: false
            description: 'Find: unhealthy nodes'
            expression: '! healthy'
          - auto_select: false
            description: 'Find: unknown nodes'
            expression: name = unknown
          - auto_select: false
            description: 'Find: nodes with the 2 top rankings'
            expression: rank <= 2
          hide_options:
          - auto_select: false
            description: 'Hide: healthy nodes'
            expression: healthy
          - auto_select: false
            description: 'Hide: unknown nodes'
            expression: name = unknown
          - auto_select: false
            description: 'Hide: nodes ranked lower than the 2 top rankings'
            expression: rank > 2
          settings:
            font_label: 13
            min_font_badge: 7
            min_font_label: 10
          traffic:
            grpc: requests
            http: requests
            tcp: sent
        list:
          include_health: true
          include_istio_resources: true
          include_validations: true
          show_include_toggles: false
        metrics_inbound:
          aggregations: []
        metrics_outbound:
          aggregations: []
        metrics_per_refresh: 1m
        namespaces: []
        refresh_interval: 60s
      validations:
        ignore:
        - KIA1301
        skip_wildcard_gateway_hosts: false
    kubernetes_config:
      burst: 200
      cache_duration: 300
      cache_token_namespace_duration: 10
      cluster_name: ''
      excluded_workloads:
      - CronJob
      - DeploymentConfig
      - Job
      - ReplicationController
      qps: 175
    login_token:
      expiration_seconds: 86400
      signing_key: secret:kiali-signing-key:key
    server:
      address: ''
      audit_log: true
      cors_allow_all: false
      gzip_enabled: true
      observability:
        metrics:
          enabled: true
          port: 9090
        tracing:
          collector_type: jaeger
          collector_url: http://jaeger-collector.istio-system:14268/api/traces
          enabled: false
          otel:
            protocol: http
      port: 20001
      web_fqdn: ''
      web_history_mode: ''
      web_port: ''
      web_root: /
      web_schema: ''
    version: v1.73
kind: ConfigMap
metadata:
  creationTimestamp: "2025-12-09T16:54:08Z"
  labels:
    app: kiali
    app.kubernetes.io/instance: kiali
    app.kubernetes.io/name: kiali
    app.kubernetes.io/part-of: kiali
    app.kubernetes.io/version: 422b7cc5c88030ad25e989b17aa7d198844fd505571f1340c3b6d08704bcXXX
    version: 422b7cc5c88030ad25e989b17aa7d198844fd505571f1340c3b6d08704bcXXX
  name: kiali
  namespace: istio-system-a
  ownerReferences:
  - apiVersion: kiali.io/v1alpha1
    kind: Kiali
    name: kiali
    uid: 84a3f195-2039-4e3c-8dc6-54f2beaf4d40
  resourceVersion: "59726"
  uid: 27f6903c-f635-4f30-b315-5aed5a9a422d
